### 8.92 `FREE` — Frees memory

Description:
  Frees memory previously allocated by `MALLOC`. The `FREE` intrinsic is an extension intended to be used with Cray pointers, and is provided in GNU Fortran to allow user to compile legacy code. For new code using Fortran 95 pointers, the memory de-allocation intrinsic is `DEALLOCATE`.
Standard:
  GNU extension
Class:
  Subroutine
Syntax:
  `CALL FREE(PTR)`
Arguments:

  PTR | The type shall be `INTEGER`. It represents the location of the memory that should be de-allocated.

Return value:
  None
Example:
  See `MALLOC` for an example.
See also:
  MALLOC